%define name kisdn-free
%define version 0.7.3
%define release 1mdk
%define kdeprefix /usr
%define qtdir /usr
# neededforbuild  autoconf automake gpp libgpp qtlib qtdevel qtext ksupp klibs kbase libz gettext libjpeg libtiff
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cracklib devs diff ext2fs file fileutil find flex gawk gcc gdbm gettext gpm gpp gppshare groff gzip kbase kbd klibs ksupp less libc libgpp libjpeg libtiff libz lx_suse make mktemp modules ncurses net_tool netcfg nkita nkitb nssv1 pam patch perl pgp ps qtcompat qtdevel qtext qtlib rcs rpm sendmail sh_utils shadow shlibs strace syslogd sysvinit texinfo textutil timezone unzip util vim xdevel xf86 xshared

Summary: kisdn (ISDN/RNIS connection tool)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: kisdn-0.7.3-free.tar.bz2
Patch0: kisdn-0.7.3-free.dif
Copyright: GPL
Group: Networking/WWW
BuildRequires: qt qt-devel
Requires: qt perl
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
ISDN monitor and i4l frontend

%prep
%setup -q -n kisdn-0.7.3-free
%patch0 -p0 -b .sav

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
export CFLAGS="$RPM_OPT_FLAGS" 
export CXXFLAGS="$RPM_OPT_FLAGS"

./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --disable-rpath

make KDEDIR=$KDEDIR


%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini install

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/kisdn" icon="kisdn.xpm" \
  needs="x11" section="Networking/Remote access" title="kisdn" \
  longtitle="ISDN monitor and i4l frontend"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_docdir}/kde1/HTML/*/kcontrol/kisdn
%{_bindir}/*
%{_libdir}/kde1-compat/share/apps/kisdn
%{_libdir}/kde1-compat/share/apps/kcmkisdn
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_menudir}/*


%changelog
* Fri Oct  6 2000 dam's <damien@mandrakesoft.com> 0.7.3-1mdk
- changed name to kisdn-free

* Fri Oct  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.3.free-1mdk
- taken from suse, thanks to damien
